Bug 428226 - Cannot navigate to new location from a breadcrumb popup menu via the keyboard
Summary: Cannot navigate to new location from a breadcrumb popup menu via the keyboard
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kio
Classification: Frameworks and Libraries
Component: URL navigator (show other bugs)
Version: 5.75.0
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: KIO Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-25 11:00 UTC by Frank Steinmetzger
Modified: 2020-12-03 09:48 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.77


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Steinmetzger 2020-10-25 11:00:11 UTC
Steps to reproduce:
1. Open a view which uses the breadcrumbs navigation bar, e.g. Dolphin or Gwenview,
2. Open a popup menu between two path components with the mouse,
3a. Either select a menu item by moving the mouse or using the cursor keys, and pressing Enter,
3b. Or Press any of the provided accelerator keys.

Actual result:
The popup menu closes, but the view does not navigate to the selected subdirectory.

Expected result:
The view shall navigate to the new location.
Comment 1 Justin Zobel 2020-10-25 11:07:17 UTC
Confirmed on:
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.20.80
KDE Frameworks Version: 5.76.0
Qt Version: 5.15.0
Comment 2 Bug Janitor Service 2020-12-02 23:34:26 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kio/-/merge_requests/241
Comment 3 Ahmad Samir 2020-12-03 09:48:50 UTC
Git commit 39c0446dd39be22608a709f5919b85e019eec79e by Ahmad Samir.
Committed on 02/12/2020 at 23:34.
Pushed by ahmadsamir into branch 'master'.

KUrlNavBtn: make opening subdirs from dropdown menu with the keyboard work

If the user invokes the sub-dirs dropdown menu, then uses e.g. the cursor
keys to selects a sub-dir, then press Enter, that sub-dir should be opened.
FIXED-IN: 5.77

M  +5    -0    src/filewidgets/kurlnavigatorbutton.cpp
M  +1    -1    src/filewidgets/kurlnavigatormenu_p.h

https://invent.kde.org/frameworks/kio/commit/39c0446dd39be22608a709f5919b85e019eec79e